Page MenuHomePhabricator

Add support for log-thanks to the Thanks API
Closed, ResolvedPublic8 Story Points

Description

The Thanks API currently supports action=thanks with three keys: rev, source, and token. To these we should add log, which sends thanks for the specified log entry.

Details

Related Gerrit Patches:
mediawiki/extensions/Thanks : masterReintroduce the API to thank for log entries
mediawiki/extensions/Thanks : masterAdd support to the Thanks API for thanking log entries
mediawiki/extensions/Thanks : masterRename files and classes in preparation for adding log-thanks

Event Timeline

Samwilson created this task.Feb 9 2018, 6:46 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 9 2018, 6:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 409227 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/Thanks@master] Add support to the Thanks API for thanking log entries

https://gerrit.wikimedia.org/r/409227

Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.
Niharika set the point value for this task to 8.Feb 14 2018, 12:20 AM

Change 413092 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/Thanks@master] Rename files and classes in preparation for adding log-thanks

https://gerrit.wikimedia.org/r/413092

Change 413092 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Rename files and classes in preparation for adding log-thanks

https://gerrit.wikimedia.org/r/413092

Samwilson updated the task description. (Show Details)Mar 1 2018, 1:18 AM
Samwilson added a subscriber: MaxSem.

Thanks @MaxSem I've updated this task desc with what we talked about this morning.

Thanks @MaxSem I've updated this task desc with what we talked about this morning.

What was the reasoning behind not deprecating the existing param?

Max can probably explain more fully, but generally I guess it's better to not change APIs unless really necessary. If we have a third type of core thank in the future we can make it generic then.

Max, is it looking now more like what you've got in mind?

Change 409227 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Add support to the Thanks API for thanking log entries

https://gerrit.wikimedia.org/r/409227

Niharika closed this task as Resolved.Mar 2 2018, 6:00 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Awesomesauce!

MaxSem added a subtask: Restricted Task.Mar 2 2018, 11:01 PM
Niharika reopened this task as Open.Mar 3 2018, 1:33 AM
Niharika moved this task from Q1 2018-19 to In Development on the Community-Tech-Sprint board.

Been reverted due to T188791.

Change 416207 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/Thanks@master] WIP: Reintroduce API to thank for log entries

https://gerrit.wikimedia.org/r/416207

MaxSem closed subtask Restricted Task as Resolved.Mar 6 2018, 11:31 PM

Change 416207 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Reintroduce the API to thank for log entries

https://gerrit.wikimedia.org/r/416207

Niharika closed this task as Resolved.Mar 9 2018, 7:46 PM
Niharika moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.